# Delete rule(s) (deleterule, deleterules)

Delete one or multiple style guide rules.

### Request

See [HTTP API Overview](/v6.10.0.0/api-reference/overview.md).

#### Parameters

| Parameter | Type   | Required | Default       | Notes                                                                                             |
| --------- | ------ | -------- | ------------- | ------------------------------------------------------------------------------------------------- |
| `cmd`     | string | Yes      | `style_guide` | Command name.                                                                                     |
| `action`  | string | Yes      |               | `deleterule` or `deleterules`.                                                                    |
| `lang`    | string | No       | `common`      | Language scope that contains the rule(s) (example: `en_US` or `en`).                              |
| `rule`    | string | Yes      |               | One rule ID, or a comma-separated list of rule IDs. Use `lang` + `rule` to uniquely target rules. |

### Behavior

* Deletes the specified rule(s).
* Returns the deleted rule object(s) in `result`.

### Response

Deleted rules object are returned.

See [Response schema](/v6.10.0.0/api-reference/style-guide-api/response-schema.md).

### Errors

See [Errors](/v6.10.0.0/api-reference/style-guide-api/errors.md).

{% hint style="warning" %}
If a rule is visible in `getrules`, but `deleterules` returns **"Rule(s) not found"**, check `lang`.

`getrules` can return rules from multiple languages when `lang` is omitted, but delete actions use `lang=common` by default.

Pass the rule’s language explicitly (use `lang` + `rule` to uniquely target it).
{% endhint %}

### Examples

<details>

<summary>Example: delete one rule</summary>

```json
{
  "cmd": "style_guide",
  "action": "deleterule",
  "lang": "en_US",
  "rule": "STYLE_5933619761905272220"
}
```

</details>

<details>

<summary>Example: delete multiple rules</summary>

```json
{
  "cmd": "style_guide",
  "action": "deleterules",
  "lang": "en_US",
  "rule": "STYLE_111,STYLE_222,STYLE_333"
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wproofreader.com/v6.10.0.0/api-reference/style-guide-api/actions/delete-rule-s-deleterule-deleterules.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
